XPI-REPACK(1)

NAME
amo-changelog - fetch Version History of an addon

SYNOPSIS
amo-changelog [options] extension

DESCRIPTION
amo-changelog fetches the Version History of an addon from the Mozilla Extensions website. It is meant to offer an easy way to include upstream changelogs in Debian packages of mozilla extensions - in many cases, this is not contained in the upstream source code repository, but is available on said website. The extension argument is its short name, as used by the website. For example, the homepage for "Adblock Plus" is https://addons.mozilla.org/en-US/firefox/addon/adblock-plus/, so the short name would be "adblock-plus". Here is an example for debian/rules: # if using debhelper
override_dh_installchangelogs:
    dh_installchangelogs debian/changelog.upstream .PHONY: get-orig-changelog
get-orig-changelog:
    amo-changelog adblock-plus > debian/changelog.upstream Using this approach, one would save the output file (debian/changelog.upstream) as part of the Debian packaging. When updating the package with a new upstream release, one would run `debian/rules get-orig-changelog`

OPTIONS

-h, --help
    Display a brief help message.

AUTHOR
Jakub Wilk <jwilk@debian.org> and Ximin Luo <infinity0@pwned.gg>